#
# spec file for package ash (Version 1.6.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ash
License:        BSD
Group:          System/Shells
Provides:       ash-linux dash
Autoreqprov:    on
Version:        1.6.1
Release:        15.2
Summary:        The Ash Shell
Source:         ash-%{version}.tar.gz
Patch1:         ash-%{version}-linux.patch
Patch2:         ash-%{version}-suse.raid.diff
Patch3:         ash-%{version}-suse.initrd.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
NetBSD's ash (Almquist sh) for Linux is a small (62K--no job control)
Bourne-compatible shell. It is great for machines with low memory, but
does not provide all the extras of shells like bash, tcsh, and zsh.
Most shell scripts are compatible with bash. Note that most scripts
written for Linux use some bash-specific syntax. The Slackware setup
scripts are a notable exception, because ash is the shell used during
installation.



Authors:
--------
    Kenneth Almquist
    Florian La Roche <florian@suse.de>
    Branko Lankester <branko@hacktic.nl>
    Sunando Sen <sens@fasecon.econ.nyu.edu>
    Arjan de Vet <devet@adv.win.tue.nl>

%debug_package
%prep
%setup -n sh-%{version}
%patch1 -p1
%patch2
%patch3

%build
make -f Makefile.linux

%install
rm -rf $RPM_BUILD_ROOT
make -f Makefile.linux DESTDIR=$RPM_BUILD_ROOT install
%if 0
make -f Makefile.linux clean
#rm -f config.cache
patch -p0 < $RPM_SOURCE_DIR/ash-dietlibc.diff
make CC="diet gcc" LD="diet gcc"
install -o root -g root -m 0755 -s sh.static $RPM_BUILD_ROOT/bin/ash.static
%endif

%files
%defattr(-,root,root)
/bin/ash
/bin/ash.static
%doc TOUR
%doc %{_mandir}/man1/ash.1.gz

%changelog -n ash
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jun 28 2005 - hare@suse.de
- Removed -funsigned-char (#93871).
* Mon Mar 15 2004 - hare@suse.de
- Update to ash from NetBSD 1.6.1.
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Wed Jan 07 2004 - ro@suse.de
- really disable dietlibc version
* Thu Dec 11 2003 - hare@suse.de
- Update to use the Debian port of ash ('dash') instead
  of the horribly old linux port.
- Disabled dietlibc for now.
* Wed Apr 16 2003 - coolo@suse.de
- use BuildRoot
* Fri Sep 06 2002 - mls@suse.de
- be nicer to the kernel and read /proc/partitions in big chunks
* Tue Sep 03 2002 - mls@suse.de
- include bltin.h in miscbltin.c to make output redirection work
* Tue Sep 03 2002 - mls@suse.de
- added two new builtins used in suse's initrd:
  createpartitiondevs: read /proc/partitions and create missing
  device nodes
  devnumber: return devices number of specified device node
* Fri Jul 19 2002 - olh@suse.de
- do not link with dietlibc on ppc, "permission denied" in initrd..
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Fri May 10 2002 - garloff@suse.de
- Make it build with dietlibc-0.17: Don't define exit().
* Mon Feb 25 2002 - garloff@suse.de
- Also build on ppc.
* Thu Feb 21 2002 - werner@suse.de
- Enabled -O option in builtin test
* Thu Feb 21 2002 - garloff@suse.de
- Build statical version of ash with dietlibc
* Mon Aug 13 2001 - snwint@suse.de
- added 'raidautorun' command (RAID_AUTORUN ioctl on /dev/md0)
* Wed Aug 08 2001 - fehr@suse.de
- make test -t work without parameter
* Tue Jun 19 2001 - schwab@suse.de
- Set FD_CLOEXEC on input descriptor.
* Wed May 23 2001 - fehr@suse.de
- fix bug of same patch in two dif files
* Wed May 16 2001 - fehr@suse.de
- prevent cast-warning for 64bit archs
* Fri Oct 06 2000 - kukuk@suse.de
- Change group tag
* Sun Feb 27 2000 - kukuk@suse.de
- Move /usr/man -> /usr/share/man
* Sat Oct 23 1999 - ro@suse.de
- added ash.static (for initrd)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - uli@suse.de
- added -fsigned-char to Makefile (PPC)
* Thu Aug 27 1998 - ro@suse.de
- removed include/bsd and -lbsd
- define sig_t to __sighandler_t if not defined before
* Tue Sep 23 1997 - ro@suse.de
- created dif
